<?php
/**
 * Adds admin settings for the plugin.
 *
 * @package     local_solisge
 * @category    admin
 * @copyright   2023 Mauricio Severo <mssinsighter@gmail.com>
 */
defined('MOODLE_INTERNAL') || die();

$settings = new admin_settingpage( 'local_solisge', get_string('pluginname', 'local_solisge') );

if ($ADMIN->fulltree) {
    $settings->add(new admin_setting_heading('headerconfig', get_string('configheader', 'local_solisge'), get_string('generatekeydescription','local_solisge')));

    $settings->add(new admin_setting_configtextarea('local_solisge/secret', get_string('secret', 'local_solisge'), get_string('secretdescription', 'local_solisge'), '', PARAM_RAW,85,10));

    $settings->add(new admin_setting_configpasswordunmask('local_solisge/salt', get_string('salt', 'local_solisge'), get_string('saltdescription', 'local_solisge'), ''));

    $settings->add(new admin_setting_configcheckbox('local_solisge/crossdomaincheck', get_string('crossdomaincheck', 'local_solisge'), get_string('crossdomaincheckdescription', 'local_solisge'), 0));

    $settings->add(new admin_setting_configtext('local_solisge/alloweddomaincheck', get_string('alloweddomaincheck', 'local_solisge'), get_string('alloweddomaincheckdescription', 'local_solisge'), ''));

    //$settings->add(new admin_setting_configtext('local_solisge/logouturlcheck', get_string('logouturlcheck', 'local_solisge'), get_string('logouturlcheckdescription', 'local_solisge'), ''));
}

$ADMIN->add( 'localplugins', $settings );
